### Class

# Ide VcsMonitor

#### Description

    final class Ide.VcsMonitor : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Functions

###### ide_vcs_monitor_from_context

Gets the `IdeVcsMonitor` for a context.

Available since: 3.32

#### Instance methods

###### ide_vcs_monitor_get_sequence

No description available.

###### ide_vcs_monitor_ref_info

Gets an `IdeVcsFileInfo` for the given `file`.

Available since: 3.32

###### ide_vcs_monitor_ref_root

Gets the `IdeVcsMonitor:root` property and increments the reference count of the `GFile` by one.

Available since: 3.32

###### ide_vcs_monitor_ref_vcs

Increments the reference count of the `IdeVcs` monitored using the `IdeVcsMonitor` and returns it.

Available since: 3.32

###### ide_vcs_monitor_set_root

No description available.

###### ide_vcs_monitor_set_vcs

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.VcsMonitor:root

The “root” property is the root of the file-system to begin monitoring for changes.

Available since: 3.32

###### Ide.VcsMonitor:vcs

The “vcs” property is the version control system to be queried for additional status information when a file has been discovered to have been changed.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

###### Ide.VcsMonitor::changed

The “changed” signal is emitted when a file has been discovered to have been changed on disk.

Available since: 3.32

###### Ide.VcsMonitor::reloaded

The “reloaded” signal is emitted when the monitor has been reloaded.

Available since: 3.32

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeVcsMonitorClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.